package com.engine.organization.service;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/08/08
 * @version: 1.0
 */
public interface QuickSearchService {
    /**
     * 保存快速搜索条件
     *
     * @param params 前端参数
     * @return return
     */
    Map<String, Object> saveQuickSearchCondition(Map<String, Object> params);

    /**
     * 获取快速搜索信息
     *
     * @param params params
     * @return return
     */
    Map<String, Object> getQuickSearchInfo(Map<String, Object> params);

    /**
     * 保存快速搜索信息
     *
     * @param params params
     * @return return
     */
    Map<String, Object> saveQuickSearchInfo(Map<String, Object> params);

    /**
     * 获取快速搜索详细信息
     *
     * @param params params
     * @return return
     */
    Map<String, Object> getQuickSearchDetailInfo(Map<String, Object> params);

    /**
     * 保存快速搜索详细信息
     *
     * @param params params
     * @return return
     */
    Map<String, Object> saveQuickSearchDetailInfo(Map<String, Object> params);
}
